Bug 1609946

Summary: patchutils does not depend on patch
Product: [Fedora] Fedora Reporter: ikerins
Component: patchutilsAssignee: Tim Waugh <twaugh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: patchutils-0.3.4-12.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-08 16:09:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description ikerins 2018-07-30 21:29:23 UTC
Description of problem:
Some of the programs provided by the patchutils package may invoke `patch`, but the package does not depend on the patch package:

$ yum deplist patchutils
Last metadata expiration check: 0:03:55 ago on Mon Jul 30 21:21:11 2018.
package: patchutils-0.3.4-10.fc28.x86_64
  dependency: /bin/bash
   provider: bash-4.4.23-1.fc28.x86_64
  dependency: /bin/sh
   provider: bash-4.4.23-1.fc28.x86_64
  dependency: /usr/bin/perl
   provider: perl-interpreter-4:5.26.2-412.fc28.x86_64
  dependency: libc.so.6(GLIBC_2.14)(64bit)
   provider: glibc-2.27-30.fc28.x86_64
  dependency: perl(Getopt::Std)
   provider: perl-interpreter-4:5.26.2-412.fc28.x86_64
  dependency: rtld(GNU_HASH)
   provider: glibc-2.27-30.fc28.i686
   provider: glibc-2.27-30.fc28.x86_64

Version-Release number of selected component (if applicable):
See above.

How reproducible:
I believe but am not certain that you can get `combinediff` to invoke `patch` if you provide it with two patches operating on the same file.  You can see it in the source here:  https://github.com/twaugh/patchutils/blob/3c70aa137ad8c4ea9085a73c0dbc1c6897b6ad45/src/interdiff.c#L839

Additional info:
In Debian, patchutils does indeed depend on patch.  https://packages.debian.org/buster/patchutils

Comment 1 Fedora Update System 2018-07-31 09:52:53 UTC
patchutils-0.3.4-12.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-60c79aee61

Comment 2 Fedora Update System 2018-07-31 18:33:34 UTC
patchutils-0.3.4-12.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-60c79aee61

Comment 3 ikerins 2018-08-01 14:43:50 UTC
Looks good, thanks!  I really haven't the slightest clue how packaging in the Red Hat universe works but I do know this is also a problem on centos; do I need to file another bug on https://bugs.centos.org/ for that?

Comment 4 Fedora Update System 2018-08-08 16:09:55 UTC
patchutils-0.3.4-12.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tim Waugh 2020-01-06 12:12:18 UTC
Sorry, only just found this. It's quite possible CentOS has already picked up this fix.